import {LibWordArray} from 'crypto-js'
import sha512 from 'crypto-js/sha512'
import Hex from 'crypto-js/enc-hex'

type CalculateHash = (b: string | LibWordArray) => string

const calculateHash: CalculateHash = b => sha512(b).toString(Hex)

export default calculateHash
